Bug 645061 - Upgrade: 06inetorgperson.ldif and 05rfc4524.ldif are not upgraded in the server instance schema dir
Summary: Upgrade: 06inetorgperson.ldif and 05rfc4524.ldif are not upgraded in the serv...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: 389
Classification: Retired
Component: Migration
Version: 1.2.6
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Noriko Hosoi
QA Contact: Viktor Ashirov
URL:
Whiteboard:
Depends On:
Blocks: 389_1.2.7 639035
TreeView+ depends on / blocked
 
Reported: 2010-10-20 19:12 UTC by Noriko Hosoi
Modified: 2015-12-07 16:53 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-07 16:53:32 UTC


Attachments (Terms of Use)
diff -r -twU4 /etc/dirsrv/schema/ /etc/dirsrv/slapd-ID/schema (4.49 KB, text/plain)
2010-10-20 19:12 UTC, Noriko Hosoi
no flags Details
git patch file (master) (1.50 KB, patch)
2010-10-20 20:23 UTC, Noriko Hosoi
nhosoi: review?
rmeggins: review+
Details | Diff

Description Noriko Hosoi 2010-10-20 19:12:45 UTC
Created attachment 454649 [details]
diff -r -twU4 /etc/dirsrv/schema/ /etc/dirsrv/slapd-ID/schema

Description of problem:
Install 389 v1.2.5
Then, upgrade it to v1.2.6

06inetorgperson.ldif and 05rfc4524.ldif are not upgraded in /etc/dirsrv/slapd-ID/schema.

Comment 1 Noriko Hosoi 2010-10-20 20:23:56 UTC
Created attachment 454667 [details]
git patch file (master)

Description: To replace 06inetorgperson.ldif and 05rfc4524.ldif
in teh server instance schema dir, adding the 2 schema files to
the toremove list in the schema upgrade script 60upgradeschemafiles.pl.

File: ldap/admin/src/scripts/60upgradeschemafiles.pl

Comment 2 Noriko Hosoi 2010-10-20 20:46:40 UTC
Reviewed by Rich (Thanks!!)

Pushed to master.

$ git merge 645061
Updating 28f83cc..904698e
Fast-forward
 ldap/admin/src/scripts/60upgradeschemafiles.pl |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

$ git push
Counting objects: 13, done.
Delta compression using up to 4 threads.
Compressing objects: 100% (6/6), done.
Writing objects: 100% (7/7), 738 bytes, done.
Total 7 (delta 5), reused 0 (delta 0)
To ssh://git.fedorahosted.org/git/389/ds.git
   28f83cc..904698e  master -> master

Comment 4 Noriko Hosoi 2011-07-26 21:57:36 UTC
This bug would be verified with the upgrade test.
Once upgrade is done, run 
diff -r /etc/dirsrv/schema/06inetorgperson.ldif /etc/dirsrv/slapd-ID/schema/06inetorgperson.ldif
diff -r /etc/dirsrv/schema/05rfc4524.ldif /etc/dirsrv/slapd-ID/schema/05rfc4524.ldif

Both files should be identical.

Comment 5 Amita Sharma 2011-08-16 08:05:16 UTC
followed comment#4 to verify :

Upgraded from 8.2 to 9.0
============================
On 9.0 DS, executed --
[root@aminew ~]# diff -r /etc/dirsrv/schema/06inetorgperson.ldif /etc/dirsrv/slapd-aminew/schema/06inetorgperson.ldif
[root@aminew ~]# diff -r /etc/dirsrv/schema/05rfc4524.ldif /etc/dirsrv/slapd-aminew/schema/05rfc4524.ldif
[root@aminew ~]# 

Both files are identical. Hence VERIFIED.


Note You need to log in before you can comment on or make changes to this bug.